#include <stdlib.h>
#include <stdio.h>

extern const char* __progname;

int main(int argc, const char* argv[])
{
	if (argc > 1) {
		for (int i = 1; i < argc; i++) {
			char* path = realpath(argv[i], NULL);
			if (path != NULL) {
				printf("%s\n", path);
			} else {
				perror(argv[i]);
			}
			free(path);
		}
	} else {
		fprintf(stderr, "Usage: %s path [...]\n", __progname);
	}
}
